(function(){
    
        
    function getResId() {
        var titleDom = jQuery(".title");
        var selectedIds = [];
        titleDom.each(function(idx, val){
                selectedId = jQuery(this).attr('href').split("/").pop();
                console.log("selectedId",selectedId);
                selectedIds.push(selectedId);
        })



        function WosPost(url, data){
            var _data = '';
            jQuery.ajax({
                type: "POST",
                url: url,
                dataType: "html",
                data: JSON.stringify(data),
                async: false,
                headers:{"x-1p-wos-sid":localStorage.getItem("wos_sid")},
                contentType: "application/json",
                beforeSend:function(){
                    showLoading();
                },
                success: function(data){
                    _data = data;
                },
                error: function(){
                    console.log('get data info error.');
                }
            }); 
            return _data;       
        }


        var data = {
            "ids": selectedIds,
            "displayTimesCited": "true",
            "displayCitedRefs": "true",
            "product": "UA",
            "colName": "ALLDB",
            "displayUsageInfo": "true",
            "filters": "authorTitleSourceAbstract",
            "fileOpt": "othersoftware",
            "action": "saveToTab",
            "locale": "zh-CN",
            "view": "summary",
        }
       


        console.log("data",data);
        //导出为CSV格式
        var url = '/api/wosnx/indic/export/saveToFile';
        console.log(url, data);
        var content = WosPost(url, data);
        console.log(content);
        var ParserContent = Parser_WOS_CSV(content)
        return ParserContent

        // // jQuery('#crossUrlBtn_pNE').attr('save_data',url);
        // // jQuery('#crossUrlBtn_pNE').click();
        // // jQuery('#crossDataBtn_pNE').on('click',function () {
        // //     var content = jQuery('#crossDataBtn_pNE').attr('save_data');
        // //     if(content != undefined && content != ""){
        // //         ParserJson(Parser_WOS_CSV(content));
        // //     }
        // // });


    }



    function Parser_WOS_CSV(CSV){
        function ParserWOSjsonContent(json){
            function behasKey(json,key){
                if(json.hasOwnProperty(key)){
                    return true;
                }else{
                    return false;
                }
            }

            function change_type(type){
                switch(type){
                    case "J":
                        return "Journal Article";
                    case "B":
                        return "Book Section";
                    case "S":
                        return "Book Section";
                    case "P":
                        return "Patent";
                    default:
                        return "Journal Article";
                }
            }
            var NE = {};
            if(behasKey(json,"PT")){
                NE['Reference Type'] = change_type(json["PT"]);
                NE['Database Provider'] = 'Web of Science';
            }
            if(behasKey(json,"TI")){
                NE['Title'] = json["TI"];
            }
            if(behasKey(json,"AU")){
                NE['Author'] = json["AU"];
            }
            if(behasKey(json,"AB")){
                NE['Abstract'] = json["AB"];
            }
            if(behasKey(json,"BD")){
                NE['Keywords'] = json["BD"];
                if(NE['Keywords']==undefined && behasKey(json,"CH")){
                    NE['Keywords'] = json["CH"]; 
                }
                if(NE['Keywords']==undefined && behasKey(json,"DE")){
                    NE['Keywords'] = json["DE"];
                }
                if(NE['Keywords']==undefined && behasKey(json,"ID")){
                    NE['Keywords'] = json["ID"];
                }
            }
            if(behasKey(json,"C1")){
                NE['Author Address'] = json["C1"];
            }
            if(behasKey(json,"DI")){
                NE['DOI'] = json["DI"];
            }
            if(behasKey(json,"BP")){
                NE['Pages'] = json["BP"];
            }
            if(behasKey(json,"EP")){
                if(NE['Pages'] != undefined && NE['Pages'] != ""){
                    NE['Pages'] = NE['Pages'] + "-" + json["EP"];
                }else{
                    NE['Pages'] = json["EP"];
                }
            }
            if(behasKey(json,"IS")){
                NE['Issue'] = json["IS"];
            }
            if(behasKey(json,"PN")){//专利号
              NE["Issue"] = json["PN"]
            }
            if(behasKey(json,"LA")){
                NE['Language'] = json["LA"];
            }
            if(behasKey(json,"SN")){
                NE['ISBN/ISSN'] = json["SN"];
            }
            if(behasKey(json,"SO")){
                NE['Journal'] = json["SO"];
            }
            if(behasKey(json,"PY")){
                NE['Year'] = json["PY"];
            }
            if(behasKey(json,"VL")){
                NE['Volume'] = json["VL"];
            }
            if(behasKey(json,"UT")){
                NE["Accession Number"] = json["UT"];
                NE["URL"] = 'http://gateway.isiknowledge.com/gateway/Gateway.cgi?&SrcAuth=AegeanSoftware&SrcApp=NoteExpress&DestLinkType=FullRecord&DestApp=WOS&KeyUT=' + json["UT"].replace(/WOS:/, '')
            }
            if(behasKey(json,"PU")){
                NE["Original Publication"] = json["PU"];
            }
            if(behasKey(json,"PU")){
                NE["Original Publication"] = json["PU"];
            }
            if(behasKey(json,"PA")){
                NE["Place Published"] = json["PA"];
            }
            if(behasKey(json,"CA")){
                NE["Short Title"] = json["CA"];
            }
            if(behasKey(json,"PI")){
                NE["Place Published"] = json["PI"];
            }
            if(behasKey(json,"PU")){
                NE["Published"] = json["PU"];
            }
            if(behasKey(json,"SE")){//丛书标题
                NE["Tertiary Title"] = json["SE"];
            }
            if(behasKey(json,"AE")){//专利权人
                NE["Subsidiary Author"] = json["AE"];
            }
            return NE;
        }



        //将CSV分割存为Json格式；
        var jsonlist = [];
        var csvlist = CSV.split(/\u000A/g);
        var TypeNamelist = csvlist.shift().split(/\u0009/g);
        if(TypeNamelist[0]=="PT"){
            for(var line in csvlist){
                if(csvlist[line]!=undefined && csvlist[line]!=""){
                    var cline = csvlist[line].split(/\u0009/g);
                    var json = {};
                    for(i in cline){
                        if(cline[i] == ""){
                            continue;
                        }
                        json[TypeNamelist[i]]=cline[i];
                    }
                    jsonlist.push(ParserWOSjsonContent(json));
                }
            }
            return jsonlist;
        }
    }

    function NewclickRefreshFun(refreshFun){
        jQuery('.refreshBtn_pNE').bind("click",function(){
            if(jQuery('input[name="selectAll_pNE"]').length != 0){
                if(jQuery('input[name="selectAll_pNE"]').prop){
                    jQuery('input[name="selectAll_pNE"]').prop('checked',false);
                }else{
                    jQuery('input[name="selectAll_pNE"]')[0].checked=false;
                }
                
            }
            refreshFun();
        });
    }


    function rebuildContent(){
        // 显示加载页
        showLoading();
        var checkDom = setInterval(function(){
            if(jQuery('#gettingContentBlock_pNE').is(':visible')){
                clearInterval(checkDom);
                var pureJson = '';
                pureJson = getResId();
                ParserJson(pureJson)
            }
        },300);
    }

    function IntoViewDom(){
        if (jQuery('.summary-record.loading-cover').length > 0){
            jQuery('.summary-record.loading-cover')[0].scrollIntoView();
            console.log('111')
        }else{
            clearInterval(runViewEvent);
            // 首次加载时插件对话框内容绘制
            rebuildContent();
            // 绑定刷新按钮事件方法
            NewclickRefreshFun(startup);
        }
        
    }
    runViewEvent = setInterval(IntoViewDom, 50);
})()