(function(){

	function rePatent(pureJson){
		switch(pureJson['Reference Type']){
			case 'Thesis':
				pureJson['Volume']=pureJson['Type of Work'];
				break;
			case 'Journal Article':
				pureJson['Tertiary Title']=pureJson['Translated Title'];
				break;
			case 'Conference Proceedings':
				pureJson['Reference Type']='Conference Paper';
				pureJson['Publisher']=pureJson['Subsidiary Author'];
				break;
		}
		if(pureJson != undefined && pureJson != ""){
			ParserDetailsJson([pureJson]);
		}
	}

	function getListContentData(postdata){
		if(postdata !== ""){
			var contents = [];
			console.log("postdata",postdata)
			var url = `http://www.wanfangdata.com.cn/export/getExportJson.do?exportType=noteExpress&isHtml5=true&isHtml5Value=${postdata}`;
			console.log(url)
			jQuery('#crossUrlBtn_pNE').attr('save_data',url);
			jQuery('#crossUrlBtn_pNE').click();
			jQuery('#crossDataBtn_pNE').on('click',function () {
				let exportHtmlContent = jQuery('#crossDataBtn_pNE').attr('save_data');
				if(exportHtmlContent !== undefined && exportHtmlContent !== ""){
					let refData = exportHtmlContent.replace(/<br \/>/g, '\n');
					refData = JSON.parse(refData);//json
					refData = refData.exportHtml.replace(/(<br\/>|<br>|<BR>|<BR\/>)/g,"\n");
					let content = toNEParser(refData);
					contents.push(rePatent(content));
					console.log("contents",contents);
				}
			});
		}
	}

	function getPatentContentData(postdata){
		if(postdata !== ""){
			let resultJson = {};
			var contents = [];
			console.log("postdata",postdata)
			var url = `http://www.wanfangdata.com.cn/export/getExportJson.do?exportType=custom&isHtml5=true&isHtml5Value=${postdata}`;
			console.log(url)
			jQuery('#crossUrlBtn_pNE').attr('save_data',url);
			jQuery('#crossUrlBtn_pNE').click();
			jQuery('#crossDataBtn_pNE').on('click',function () {
				let exportHtmlContent = jQuery('#crossDataBtn_pNE').attr('save_data');
				if (exportHtmlContent !== undefined && exportHtmlContent !== "") {
					let refData = exportHtmlContent.replace(/<br \/>/g, '\n');
					console.log("refData", refData);
					refData = JSON.parse(refData);//json
					refData = refData.exportHtml.replace(/(<br\/>|<br>|<BR>|<BR\/>)/g,"\n");
					console.log("refData.exportTxt", refData.exportHtml)
					let patentStrArr = refData.split('\n');
					console.log(patentStrArr);
					resultJson['Reference Type'] = 'Patent';
					resultJson['Database Provider'] = '北京万方数据股份有限公司';
					for (let j = 1; j < patentStrArr.length; j++) {
						let eachStrArr = patentStrArr[j].split('】');
						console.log(eachStrArr[0].trim("【"))
						switch (eachStrArr[0].trim("【")) {
							case '名称':
								resultJson['Title'] = jQuery.trim(eachStrArr[1]);
								break;
							case '申请（专利）号':
								resultJson['Issue'] = jQuery.trim(eachStrArr[1]);
								resultJson['URL']=' http://www.wanfangdata.com.cn/details/detail.do?_type=patent&id=' + resultJson['Issue'];
								break;
							case '公开（公告）号':
								resultJson['Number'] = jQuery.trim(eachStrArr[1]);
								resultJson['Volume'] = jQuery.trim(eachStrArr[1]);
								break;
							case '申请人':
								resultJson['Subsidiary Author'] = jQuery.trim(eachStrArr[1]);
								break;
							case '发明人':
								resultJson['Author'] = jQuery.trim(eachStrArr[1]);
								break;
							case '申请日期':
								resultJson['Date'] = jQuery.trim(eachStrArr[1]);
								break;
							case '公开（公告）日期':
								resultJson['Reviewed Item'] = jQuery.trim(eachStrArr[1]);
								resultJson['Subject Headings'] = jQuery.trim(eachStrArr[1]);
								break;
							case '专利说明':
								resultJson['Subject'] = jQuery.trim(eachStrArr[1]);
								break;
							case '摘要':
								resultJson['Abstract'] = jQuery.trim(eachStrArr[1]);
								break;
						}
					}
				}
				console.log("resultJson", resultJson)
				ParserDetailsJson([resultJson]);
				// if(resultJson !== undefined && resultJson !== ""){
				// 	if(jQuery('[title="下载"]').length !== 0){
				// 		let pdfLink = jQuery('[title="下载"]').attr("href")
				// 		ParserDetailsJson([resultJson], pdfLink, pdfLink);
				// 	}else{jQuery('.operateRowBlock_pNE').html('');
				// 		ParserDetailsJson([resultJson]);
				// 	}
				//
				//
				// }
			})



		}
	}


	function getContentData(){
		function rep_values(doctype){
			var exoprt_id='';
			switch (doctype){
				case "perio":
					exoprt_id="periodical_";
					break;
				case "degree":
					exoprt_id="thesis_";	
					break;
				case "conference":
					exoprt_id="conference_";	
					break;
				case "standards":
					exoprt_id="standard_";	
					break;
				case "patent":
					exoprt_id="patent_";	
					break;
				case "tech":
					exoprt_id="nstr_";	
					break;
				case "techResult":
					exoprt_id="cstad_";	
					break;
			}	
			return exoprt_id;
		}

		function getUrlVars(url) {
		    var hash;
		    var myJson = {};
		    var hashes = url.slice(url.indexOf('?') + 1).split('&');
		    for (var i = 0; i < hashes.length; i++) {
		        hash = hashes[i].split('=');
		        myJson[hash[0]] = hash[1];
		    }
		    return myJson;
		}


		var postdata = "";
		var resId="";
		var export_type="";
		var base = new Base64
		// var pathname = getUrlVars(jQuery('.onlineRead').attr('href'))
		resId = base.decode(decodeURIComponent(window.location.pathname.split('/')[2])).replace(/[\u0000-\u001F\u007F-\u009F]/g, " ").split(' ')[4]
		export_type = window.location.pathname.split('/')[1] + '_'
	    postdata = export_type + resId + ';';
	    //postdata = postdata.replace(/%255C%255C/g,'\\');
		console.log("postdata", postdata)
		getListContentData(postdata)
	}


	getContentData();
	if(jQuery('[title="下载"]').length != 0){
	}else{jQuery('.operateRowBlock_pNE').html('');}
	jQuery('#saveBlock_pNE').bind('click',function(){
		if(jQuery('.downloadFullEle_pNE[name="downloadFull_pNE"]').is(':checked')){
			if(jQuery('[title="下载"]').length != 0){
				jQuery('[title="下载"]')[0].click();
			}
		}
	})

})();